# -*- encoding: utf-8 -*-
# stub: fog-powerdns 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "fog-powerdns".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chris Luo".freeze]
  s.bindir = "exe".freeze
  s.date = "2015-03-16"
  s.description = "This library can be used as a module for 'fog' or as a standalone provider to use PowerDNS DNS services in applications.".freeze
  s.email = ["luo_christopher@bah.com".freeze]
  s.files = [".gitignore".freeze, "CONTRIBUTORS.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/console".freeze, "bin/setup".freeze, "fog-powerdns.gemspec".freeze, "lib/fog/bin/powerdns.rb".freeze, "lib/fog/powerdns.rb".freeze, "lib/fog/powerdns/dns.rb".freeze, "lib/fog/powerdns/models/dns/record.rb".freeze, "lib/fog/powerdns/models/dns/records.rb".freeze, "lib/fog/powerdns/models/dns/zone.rb".freeze, "lib/fog/powerdns/models/dns/zones.rb".freeze, "lib/fog/powerdns/requests/dns/create_zone.rb".freeze, "lib/fog/powerdns/requests/dns/delete_zone.rb".freeze, "lib/fog/powerdns/requests/dns/get_cryptokey.rb".freeze, "lib/fog/powerdns/requests/dns/get_server.rb".freeze, "lib/fog/powerdns/requests/dns/get_server_config.rb".freeze, "lib/fog/powerdns/requests/dns/get_server_stats.rb".freeze, "lib/fog/powerdns/requests/dns/get_zone.rb".freeze, "lib/fog/powerdns/requests/dns/list_cryptokeys.rb".freeze, "lib/fog/powerdns/requests/dns/list_server_configs.rb".freeze, "lib/fog/powerdns/requests/dns/list_servers.rb".freeze, "lib/fog/powerdns/requests/dns/list_zones.rb".freeze, "lib/fog/powerdns/requests/dns/notify_zone.rb".freeze, "lib/fog/powerdns/requests/dns/retrieve_zone.rb".freeze, "lib/fog/powerdns/requests/dns/search_log.rb".freeze, "lib/fog/powerdns/requests/dns/update_rrsets.rb".freeze, "lib/fog/powerdns/requests/dns/update_server_config.rb".freeze, "lib/fog/powerdns/requests/dns/update_zone.rb".freeze, "lib/fog/powerdns/version.rb".freeze]
  s.homepage = "http://github.com/cluobah/fog-powerdns".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.6.4".freeze
  s.summary = "Module for the 'fog' gem to support PowerDNS DNS services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.8"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_runtime_dependency(%q<fog-core>.freeze, ["~> 1.27"])
      s.add_runtime_dependency(%q<fog-json>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<fog-xml>.freeze, ["~> 0.1"])
    else
      s.add_dependency(%q<bundler>.freeze, ["~> 1.8"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_dependency(%q<fog-core>.freeze, ["~> 1.27"])
      s.add_dependency(%q<fog-json>.freeze, ["~> 1.0"])
      s.add_dependency(%q<fog-xml>.freeze, ["~> 0.1"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.8"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<fog-core>.freeze, ["~> 1.27"])
    s.add_dependency(%q<fog-json>.freeze, ["~> 1.0"])
    s.add_dependency(%q<fog-xml>.freeze, ["~> 0.1"])
  end
end

